
package web;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the web package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _DatenTransferText_QNAME = new QName("http://web", "text");
    private final static QName _DatenTransferResponseReturn_QNAME = new QName("http://web", "return");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: web
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link DatenTransfer }
     * 
     */
    public DatenTransfer createDatenTransfer() {
        return new DatenTransfer();
    }

    /**
     * Create an instance of {@link GetLogMSGResponse }
     * 
     */
    public GetLogMSGResponse createGetLogMSGResponse() {
        return new GetLogMSGResponse();
    }

    /**
     * Create an instance of {@link DatenTransferResponse }
     * 
     */
    public DatenTransferResponse createDatenTransferResponse() {
        return new DatenTransferResponse();
    }

    /**
     * Create an instance of {@link AufrufZResponse }
     * 
     */
    public AufrufZResponse createAufrufZResponse() {
        return new AufrufZResponse();
    }

    /**
     * Create an instance of {@link AufrufResponse }
     * 
     */
    public AufrufResponse createAufrufResponse() {
        return new AufrufResponse();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://web", name = "text", scope = DatenTransfer.class)
    public JAXBElement<String> createDatenTransferText(String value) {
        return new JAXBElement<String>(_DatenTransferText_QNAME, String.class, DatenTransfer.class, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link String }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://web", name = "return", scope = DatenTransferResponse.class)
    public JAXBElement<String> createDatenTransferResponseReturn(String value) {
        return new JAXBElement<String>(_DatenTransferResponseReturn_QNAME, String.class, DatenTransferResponse.class, value);
    }

}
